summaryrefslogtreecommitdiff
path: root/utils/installer
diff options
context:
space:
mode:
authorLostNeophyte <[email protected]>2023-01-10 16:49:23 +0100
committerGitHub <[email protected]>2023-01-10 16:49:23 +0100
commitfc6873809934917b470bff1b072171879899a36b (patch)
tree54ddad4640f3b7133a75e6d7dfb71646c75a6495 /utils/installer
parent5fe3075b341988957030468d860b0cf9ee5ea17c (diff)
fix: bash installer errors (#3686)
* fix(installer): ignore `xdg-desktop-menu` error * fix(installer): error when backing up empty dirs
Diffstat (limited to 'utils/installer')
-rwxr-xr-xutils/installer/install.sh6
1 files changed, 3 insertions, 3 deletions
diff --git a/utils/installer/install.sh b/utils/installer/install.sh
index e1e748c3..d1e17878 100755
--- a/utils/installer/install.sh
+++ b/utils/installer/install.sh
@@ -364,10 +364,10 @@ function __backup_dir() {
else
case "$OS" in
Darwin)
- cp -R "$src/"* "$src.old/."
+ cp -R "$src/." "$src.old/."
;;
*)
- cp -r "$src/"* "$src.old/."
+ cp -r "$src/." "$src.old/."
;;
esac
fi
@@ -457,7 +457,7 @@ function create_desktop_file() {
cp "$LUNARVIM_BASE_DIR/utils/desktop/$size_folder/lvim.svg" "$XDG_DATA_HOME/icons/hicolor/$size_folder/apps"
done
- xdg-desktop-menu install --novendor "$LUNARVIM_BASE_DIR/utils/desktop/lvim.desktop"
+ xdg-desktop-menu install --novendor "$LUNARVIM_BASE_DIR/utils/desktop/lvim.desktop" || true
}
function print_logo() {